
Redmine - Feature #1018

Group or company feature.

2008-04-08 10:13 - Tommy Jensen

Status: Closed Start date: 2008-04-08

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 80%

Category: Groups Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

I believe it should be a group or company feature where a user is member. This should be implemented as a drop down box when

adding a new user, where it is default set as 'none', but possible to change.

I think this would greatly increase the adoption within the commercial world.

Thanks,

Tommy

Related issues:

Related to Redmine - Feature #2298: Group feature for users and assigning iss... Closed 2008-12-08

Has duplicate Redmine - Feature #4442: User Grouping Closed 2009-12-18

Follows Redmine - Feature #706: Users could have multiple roles Closed 2008-02-21

History

#1 - 2008-04-08 10:59 - Thomas Lecavelier

- Target version deleted (0.8)

This should be a request feature, not a defect.

What's the need behind this feature? I don't get it. Thank you to be more precise.

#2 - 2008-04-08 11:55 - Tommy Jensen

Sorry. It's a feature indeed.

The specific need behind this the need to organize people within companies, and make it possible for users to inherit permissions from the company.

We would like to add all of our customers of development projects to our redmine instance, but with different access levels.

Is it a bit more precise now? :)

Thanks,

Tommy

#3 - 2008-04-15 10:51 - Antti Perkiömäki

I've stumpled into similar needs to have more fine tuned permission levels inside projects to the customers.

For example in "Project X" I'd like to add customer accounts to be able to leave tickets and show their own tickets but not the rest that are submited

by our company, our partner etc. So, similar permission feature like the "Edit own notes".

This would give a nice start in commercial permission tuning ;)

#4 - 2008-04-18 10:11 - Thomas Lecavelier

I vote this feature to be part of 0.8 roadmap. :)

#5 - 2008-05-04 19:01 - Tommy Jensen

- Status changed from New to 7

- Assignee set to Jean-Philippe Lang
- Target version set to 0.8

- % Done changed from 0 to 80

So far in its own tree (work/groups), but it seems very stable. Undergoing testing/QA for regressions until Friday 9th. of may.

#6 - 2008-05-14 17:37 - Erik Froese

I checked out the work/groups branch and gave it a test run. So far it looks good.

I think Users should be able to be a member of many Groups. (many to many relationship). Having users be able to inherit permissions and roles from

their associated groups is a big wish/feature for me but I'd need to be able to add the same User to multiple Groups.

Having this functionality is kind of a blocker for me. Else I'd be pushing hard for it to become a service for my organization (large higher education

institution) I could see these groups representing classes, project groups, administrative departments, or more ad hoc stuff.

#7 - 2008-07-24 07:22 - M T

May I ask how things are going with this feature? It seems to have been implemented in the working branch, but when will it be rolled back into trunk?

Is there some sort of issue which is holding this up? Thanks...

#8 - 2008-11-11 10:40 - Jean-Philippe Lang

- Target version changed from 0.8 to 0.9.0

#9 - 2009-03-19 15:05 - David Rees

I agree groups is a critical feature. Its standard functionality in any system that has users to also have groups that allow you deal with groups of those

users. Its really a problem in adoption at my company, we naturally have teams of people and lots of projects. Having to add each person over again

for each project is very painful. One of the managers has listed it as their #1 issue with our local redmine setup. Thx...

#10 - 2009-06-22 09:38 - Janus Kristensen

This is a very useful feature in combination with LDAP on-the-fly user creation, I'm really looking forward to seeing this in trunk.

Currently with the LDAP user creation anyone from our organisation can create users that will get the default restrictive permissions to everything.

With the addition of user groups we would be able to easily and once-and-for-all add the people from our own department to a group with slightly

higher permissions across all the projects instead of having to add them to each project individually.

#11 - 2009-09-12 11:26 - Jean-Philippe Lang

- Category changed from Custom fields to Groups

- Status changed from 7 to Closed

- Resolution set to Fixed

User group feature merged in r2869.

You can now create groups, add users to groups and add groups as project members with their own permissions.

#12 - 2009-09-13 00:50 - Erica Gallindo

Jean-Philippe Lang wrote:

User group feature merged in r2869.

You can now create groups, add users to groups and add groups as project members with their own permissions.

 Hi,

I've been testing this feature for some time and I have a few suggestions about it:

1. to add the user's group in the user administration table (Administration/Users Menu)

2. in the Configuration/Members tab of a specific project, users and groups are ordered alphabetically. I was wondering about listing the groups in

the first place with its respective users in a tree like layout. I think it make it easier to see who are the users of a group.

3. In the Issues tab, I'd like to group issues also by the user's group (in this case, the user may be the issue author or assignee  - both possibilities

will be perfect!).

Thanks a lot for this feature. It will be very useful for my work with Redmine. We have almost 300 users in our Redmine installation and until now we

are simulating groups with task and users customized fields.

#13 - 2011-01-21 07:55 - hendro utomo

hi,...im using Redmine v 1.1 dev, is this patch can be use in my instance?
